let
  blueman = "(.blueman-manager-wrapped)";
  easyeffects = "(com.github.wwmm.easyeffects)";
  nomacs = "(org.nomacs.ImageLounge)";
  mpv = "(mpv)";
  emote = "(emote)";
  flameshot = "(flameshot)";

  maxsizeWindows = [
    "maxsize 640 640, class:^${blueman}$"
    "maxsize 720 720, class:^${easyeffects}$"
    "maxsize 720 720, class:^${mpv}$"
    "maxsize 640 360, class:^${nomacs}$"
  ];
  floatWindows = builtins.map (x: "float, " + x) [
    "class:${blueman}"
    "class:${easyeffects}"
    "class:${emote}"
    "class:${mpv}"
    "class:${nomacs}"
    "class:${flameshot}"
    "title:^(Picture-in-Picture)$"
  ];

  pinWindows = builtins.map (x: "pin, " + x) [
    "title:^(Picture-in-Picture)$"
  ];
in
  maxsizeWindows ++ floatWindows ++ pinWindows
